<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Collectors;
use App\Models\Donators;
use App\Models\Receipt;
use Carbon\Carbon;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\DB;

class CollectionGroupReportController extends Controller
{
        public function index(Request $request)
        {

            $collectorsdata = Collectors::all();

            $data_query = Receipt::select('*');

            $data_query = DB::table('receipts')
                                ->join('donators','receipts.donators_id','=','donators.id') 
                                ->join('collectors','donators.collectors_id','=','collectors.id') 
                                ->select(DB::raw('sum(receipts.amount) as amount'),
                                    'collectors.name as collectors_name',
                                    'donators.name as donators_name',
                                    'donators.type as donators_type',
                                    'donators.id as donators_id',
                                );
                                //->where('cashes.collectors_id','<>',null)
                               
        
            // if($request->input('from_date')){

            //     $from_date = $request->input('from_date');
            //     $to_date = $request->input('to_date');
            
            //     $data_query = $data_query->whereBetween('entry_date',[$from_date,$to_date]);
            // }
            

            if($request->input('receiver_id')){

                $data_query->where('receipts.collectors_id',$request->input('receiver_id'));
            }

            if($request->input('donator_id')){

                $data_query->where('receipts.donators_id',$request->input('donator_id'));
            }
        
            $data = $data_query->groupBy('receipts.donators_id')->orderBy('receipts.donators_id')->get();
                

            if($request->input('filter') == 'filter'){
                return view('collection-group-report.table-list',['data' => $data]);
            }else{
                return view('collection-group-report.list',['data' => $data,'collectorsdata'=>$collectorsdata]);
            }
        }

        public function donors_transaction(Request $request)
        {

            $request->merge(['filter_from' => 'Group Report']);

            $CollectionReportController = new CollectionReportController();
            $data = $CollectionReportController->index($request);    
                

                return view('collection-group-report.transaction',['data' => $data]);
           
        }
}
