<?php

namespace App\Http\Controllers;

use App\Models\Collectors;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;

class CollectorsController extends Controller
{
    public function index()
    {
        $data = Collectors::all(); 
        return view('collectors.list',['data' => $data]);  
    }

    public function create()
    {
        return view('collectors.create');
    }

    public function store(Request $request)
    {
        $validated = $request->validate([
                
            'name' => ['required','unique:collectors,name'],
            ],
            
            $this->messages(),
        );
        $collectors = new Collectors();
        $collectors->name = $request->input('name');
        
        $collectors->save();

        return redirect('/collectors')->with('success',$request->input('name').' Collectors Created');
    }

   
    public function edit($id)
    {
        $data = Collectors::find($id);
        return view('collectors.edit',['data' => $data]);
    }

   
    public function update(Request $request, $id)
    {
        $collectors = Collectors::find($id);

        $validated = $request->validate([
            'name' => [
                Rule::unique('collectors','name')->ignore($collectors->id),
            ],
        ],
            $this->messages(),
        );
        $collectors->name = $request->input('name');
        $collectors->contact_no = $request->input('contact_no');
       
        $collectors->save();

        return redirect('/collectors')->with('success',$request->input('name').' Collectors Updated');
    }

    public function destroy($id)
    {
        $collectors = Collectors::find($id);
        $collectors->delete();
    }

    public function messages()
    {
        return [
            
            'name.unique' => 'This Name is Already Exist',
            
        ];
    }
}
