<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReceiptsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('receipts', function (Blueprint $table) {
            $table->id();
            $table->date('entry_date');
            $table->string('prefix',100);
            $table->integer('sequence');
            $table->string('receipt_no');
            $table->string('collector_name')->nullable();
            $table->foreignId('donators_id')->constrained('donators');
            $table->decimal('amount',$precision = 10, $scale = 2);   
            $table->string('description')->nullable();    
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('receipts');
    }
}
