@extends('layouts.app') 

@section('content')

<div class="card shadow bg-white rounded">
    <div class="card-header">
        <label class="card-title"><h3>Cash Book Report</h3></label>
       
    </div>
    <div class="card-body">
        <form id="grn-receive-report-form"  class="needs-validation" novalidate>
             <div class="row">
                    <div class="form-group col-md-3">
                        <label><b>Result From</b></label>
                        <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                            <i class="fas fa-calendar-alt"></i>&nbsp;
                            <span></span> <i class="fas fa-caret-down"></i>
                        </div>
                    </div>
                                   
                    <div class="form-group  col-md-2">
                        <label><b>Collectors</b></label>
                        <select name="receiver_id" id="receiver_id"  class="form-control custom-select" style="width:100%;" required>
                            <option value="">All</option>
                            @foreach($collectorsdata as $item)
                            <option value="{{$item->id}}" >{{$item->name}}</option>
                           @endforeach
                        
                    </select>
                    </div>

                    <div class="form-group  col-md-2">
                        <label><b>Type</b></label>
                        <select name="type_refer" id="type_refer"  class="form-control custom-select" style="width:100%;" required>
                            <option value="">All</option>
                            <option value="Receipt">Receipt</option>
                            <option value="Payment">Payment</option>
                                                   
                    </select>
                    </div>
                                     
                    <div class="form-group col-md-1">
                       <label>&nbsp;</label><br>
                       <button type="button" id="filter-btn" class="btn btn-primary"><i class="fas fa-search"></i></button> 
                    </div>
                </div>
            </form>
           {{-- </x-filter-component>  --}}
       @include('layouts.flash-message')
       <div  id="cashbook-report-table-div">
             @include('cashbook-report.table-list') 
       </div>
    </div>
</div>



@endsection

@section('script-content')

<script>

$(document).ready(function () {

        var start = moment();
        var end = moment();

        console.log(start);

        var fromDate = '';
        var toDate = '';

        function calendarbox(start, end) {

           fromDate = start.format('YYYY-MM-DD');
           toDate = end.format('YYYY-MM-DD');
           
           $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            showDropdowns: true,
            linkedCalendars: false,
            ranges: {
            'Today': [moment(), moment()],
            'This Month': [moment().startOf('month'), moment().endOf('month')],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, calendarbox);

        calendarbox(start, end);
        

        datatable_initialise();

        $("#filter-btn").click(function(){

            let formdata = {
                
                filter: "filter",
                 receiver_id: $("#receiver_id").val(),
                 type_refer: $("#type_refer").val(),
                from_date: fromDate,
                to_date: toDate,
            };

            console.log(formdata);
                $.ajax({
                        url:`/cashbookreport`,// don't use global route helper in javascript functions
                        type:"GET",
                        data : formdata,
                        success:function(data){
                            console.log(data);
                            $("#cashbook-report-table-div").html(data);    
                            
                            datatable_initialise();              
                        },
                        error:function(){
                        
                    }
                });

        });



});

       

    function datatable_initialise(){

        $('#example').DataTable({
            "order": [],
            "stateSave":true,
            "scrollY":        400,
            "scrollX":        true,
            "scrollCollapse": true,
            "paging":         false,
        "stateDuration": -1,

        @if(Auth::user()->id == 1)
                "dom" : "lBftip",
                "buttons": [
                              {"extend": 'excelHtml5', footer: true, "title": 'Cash Book'},
                              {"extend": 'pdfHtml5', footer: true, "title": 'Cash Book'},
                              {"extend": 'print', footer: true, "title": 'Cash Book'}
                        ],
        @endif

           
        });
    }

</script>
    
@endsection