@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="payment.index" title="Edit Payment Entry" editno='{{$data->payment_no}}' pagetype="edit"/>
    <form id="payment_entry_form" action="{{route('payment.update',[$data->id])}}" method="POST" class="needs-validation" novalidate>
        @csrf
        @method('PUT')
        <div class="card-body"> 
            @include('layouts.error-message')

              <div class="col-md-3">
                <div class="mb-2">
                        <label><b>Date <span style="color: red">*</span></b></label>  
                    
                    <x-date-component datelabel="" name="entry_date" id="entry_date" labelneed='no' date="{{$data->entry_date}}"  required/>
                </div>
            </div>

            <div class="col-md-3">
                <div class="mb-2">
                    <label><b>Collectors Name <span style="color: red">*</span></b></label>  
                    <select name="collector_name" id="collector_name"  class="form-control custom-select" style="width:100%;" required>
                        <option value="">Select</option>
                        @foreach($collectorsdata as $item)
                            <option value="{{$item->id}}" @if($data->collectors_id == $item->id) selected @endif>{{$item->name}}</option>
                        @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="mb-2">
                <label><b>Received By <span style="color: red">*</span></b></label>  
            
                <input type="text" name="received_by" id="received_by" class="form-control"  value="{{$data->received_by}}" required >
        </div>
            </div>

             <div class="col-md-3">
                <div class="mb-2">
                <label ><b>Amount <span style="color: red">*</span></b></label>
           
                <input type="number" name="amount" id="amount" class="form-control" step="any" min="0.01" value="{{$data->amount}}" required >
            </div>
        </div>

                <div class="col-md-3">
                    <div class="mb-2">
                        <label ><b>Description <span style="color: red">*</span></b></label>
               
                    <textarea id="notes" name="notes" rows="4" class="form-control" required>{{$data->description}}</textarea>
                </div>
            </div>
            
        </div>
        <div class="card-footer">
            <button type="submit" class="btn btn-primary" value="update" id="payment-create-btn">Update</button>
            </div>
    </form>
</div>
            
    
@endsection    

@section('script-content')
<script >

  
        const formObj = document.getElementById("payment_entry_form");
    
        if(formObj){
        formObj.addEventListener('submit',payment_entry_form_submit);
        }
    
    
        function payment_entry_form_submit(e){
    
            let amount = $("#amount").val();
    
            e.preventDefault();
            e.stopPropagation();
            
            var forms = document.getElementsByClassName('needs-validation');
            var validation = Array.prototype.filter.call(forms, function(form) {
            
                if (form.checkValidity() === false) {
                
                    form.classList.add('was-validated');
                
                }else{
    
                    if (amount=='0.00') {
                        ToastWarning.fire({
                            title: "Plaese Check Amount"
                        });
                
                        return false;
                    }
    
                
                    $("#payment-create-btn").prop('disabled',true);
                    $("#payment-create-btn").html('Submitting..');
                    
                    formObj.submit();
            
                }
            });
    
        }
    
    
        </script>
@endsection

