@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="register.index" title="Register Update" pagetype="edit"/>
    <form id="register_form" action="{{route('register.update',[$data->id])}}" method="POST" class="needs-validation" novalidate>
    @csrf
    @method('PUT')
        <div class="card-body">
            @include('layouts.error-message')
            <div class="col-md-5">
                    <div class="mb-2">
                        <label><b>Name</b></label>
                        <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" value="{{$data->name}}" required>
                    </div>
                    <div class="mb-2">
                        <label><b>Email</b></label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="Enter email" value="{{$data->email}}" required>
                    </div>
                    <div class="mb-2">
                        <label><b>Password</b></label>
                        <input type="password" class="form-control" name="password" id="password" placeholder="Enter password" required>
                    </div>
                    <div class="d-grid mb-2 gap-2">
                    </div>

                </div>
                
            </div>
        <div class="card-footer">
            <button type="submit" id="register_btn" class="btn btn-primary">Register</button>
        </div>
    </form>
</div>
            
    
@endsection    


@section("script-content")

<script>
           
				
    const form_submit = document.getElementById("register_form");
    form_submit.addEventListener('submit',signup_form_submit);
    
    function signup_form_submit(e){
        e.preventDefault();
        e.stopPropagation();
        var forms = document.getElementsByClassName('needs-validation');
        var validation = Array.prototype.filter.call(forms, function(form) {
        
            if (form.checkValidity() === false) {
            
                form.classList.add('was-validated');
            
            }else{

                $("#register_btn").prop('disabled',true);

                form_submit.submit();
            
            }
        });

    }
    
</script>

@endsection