<?php

use App\Http\Controllers\ChatMessageController;
use App\Http\Controllers\Usercontroller;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DonatorsController;
use App\Http\Controllers\ReceiptController;
use App\Http\Controllers\CollectorsController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\CollectionReportController;
use App\Http\Controllers\PaymentReportController;
use App\Http\Controllers\CashBookReportController;
use App\Http\Controllers\CollectionGroupReportController;
use App\Http\Controllers\CollectorsOutstandingController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('login');

Route::resource('/register', Usercontroller::class);
Route::post('/login', [Usercontroller::class,"login"]);

Route::middleware(['auth'])->group(function () {

    Route::get('/logout', [Usercontroller::class, 'logout'])->name('logout');

    Route::get('/chat', function () {
        return view('chat.chat-send');
    });

    Route::middleware(['userauth'])->group(function(){

        Route::resource('/collectors', CollectorsController::class);
        Route::post('/sendmessage',[ChatMessageController::class,"message"]);
        Route::resource('/donators', DonatorsController::class);
        Route::resource('/receipt', ReceiptController::class);
        Route::resource('/payment', PaymentController::class);

    });

    
    Route::post('/donators/getdonators', [DonatorsController::class,'get_donators']);
    Route::get('/collectionreport', [CollectionReportController::class,'index']);
    Route::get('/paymentreport', [PaymentReportController::class,'index']);
    Route::get('/cashbookreport', [CashBookReportController::class,'index']);

    Route::get('/collectorsoutstandingreport', [CollectorsOutstandingController::class,'index']);
    Route::get('/collectorsouttransaction', [CollectorsOutstandingController::class,'collectors_out_transaction']);

    Route::get('/collectiongroupreport', [CollectionGroupReportController::class,'index']);
    Route::get('/donorstransaction', [CollectionGroupReportController::class,'donors_transaction']);


});