 

<?php $__env->startSection('content'); ?>

<div class="card shadow bg-white rounded">
    <div class="card-header">
        <label class="card-title"><h3>Payment Details Report</h3></label>
       
    </div>
    <div class="card-body">
        <form id="grn-receive-report-form"  class="needs-validation" novalidate>
             <div class="row">
                    <div class="form-group col-md-3">
                        <label><b>Result From</b></label>
                        <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                            <i class="fas fa-calendar-alt"></i>&nbsp;
                            <span></span> <i class="fas fa-caret-down"></i>
                        </div>
                    </div>
                                   
                    <div class="form-group  col-md-2">
                        <label><b>Collectors</b></label>
                        <select name="receiver_id" id="receiver_id"  class="form-control custom-select" style="width:100%;" required>
                            <option value="">All</option>
                            <?php $__currentLoopData = $collectorsdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>" ><?php echo e($item->name); ?></option>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </select>
                    </div>
                                     
                    <div class="form-group col-md-1">
                       <label>&nbsp;</label><br>
                       <button type="button" id="filter-btn" class="btn btn-primary"><i class="fas fa-search"></i></button> 
                    </div>
                </div>
            </form>
           
       <?php echo $__env->make('layouts.flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
       <div  id="payment-report-table-div">
             <?php echo $__env->make('payment-report.table-list', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
       </div>
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script-content'); ?>

<script>
let formatter = new Intl.NumberFormat('en-IN',{minimumFractionDigits:2});

$(document).ready(function () {

        var start = moment();
        var end = moment();

        console.log(start);

        var fromDate = '';
        var toDate = '';

        function calendarbox(start, end) {

           fromDate = start.format('YYYY-MM-DD');
           toDate = end.format('YYYY-MM-DD');
           
           $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
        }

        $('#reportrange').daterangepicker({
            startDate: start,
            endDate: end,
            showDropdowns: true,
            linkedCalendars: false,
            ranges: {
            'Today': [moment(), moment()],
            'This Month': [moment().startOf('month'), moment().endOf('month')],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            }
        }, calendarbox);

        calendarbox(start, end);
        

        datatable_initialise();

        $("#filter-btn").click(function(){

            let formdata = {
                
                filter: "filter",
                 receiver_id: $("#receiver_id").val(),
                from_date: fromDate,
                to_date: toDate,
            };

            console.log(formdata);
                $.ajax({
                        url:`/paymentreport`,// don't use global route helper in javascript functions
                        type:"GET",
                        data : formdata,
                        success:function(data){
                            console.log(data);
                            $("#payment-report-table-div").html(data);    
                            
                            datatable_initialise();              
                        },
                        error:function(){
                        
                    }
                });

        });



});

       

    function datatable_initialise(){

        var intVal = function (i) {
            
            return typeof i === 'string' ? i.replace(/[\$,]/g, '') * 1 : typeof i === 'number' ? i : 0;
        };

        $('#example').DataTable({
            order: [[3, 'asc']],
            "stateSave":true,
            "scrollY":        400,
            "scrollX":        true,
            "scrollCollapse": true,
            "paging":         false,
        "stateDuration": -1,

        "rowGroup": {
            dataSrc: 3,
            startRender: function (rows, group) {

                    var si = 1;
                    rows.every( function (rowIdx, tableLoop, rowLoop ) {
                        //  table
                        this.cell(rowIdx,0).data(si++);
                        } );

                        var qtyTotal = rows
                            .data()
                            .pluck(5)
                            .reduce( function (a, b) {
                                return a + intVal(b);
                            }, 0); // / rows.count();

                    return   $("<tr >")
                    .append("<th colspan='3'><b>"+group+"</b></th>")
                    .append("<th   ><b>Total</b></th>")
                    .append("<th ><b></b></th>")
                    .append("<th  style = 'text-align:right'><b></b>"+(qtyTotal.toFixed(2))+"</th>")
                    .append("<th ><b></b></th>")
                    .append("</tr>");    

                    // return 'Total '+group+' : '+ tofixedtwo(avg);
               }
            },

            footerCallback: function (row, data, start, end, display) {

                console.log(data);

                var api = this.api();

                let tot_qty = 0;
                // Remove the formatting to get integer data for summation

                api.rows({ page: 'current' }).data().each(function(data){
                    tot_qty += intVal(data[5]);
                });

                $(api.column(5).footer()).html(formatter.format((tot_qty.toFixed(2))));
                },

        <?php if(Auth::user()->id == 1): ?>
                "dom" : "lBftip",
                "buttons": [
                              {"extend": 'excelHtml5', footer: true, "title": 'Payment Report'},
                              {"extend": 'pdfHtml5', footer: true, "title": 'Payment Report'},
                              {"extend": 'print', footer: true, "title": 'Payment Report'}
                        ],
        <?php endif; ?>   
        });
    }

</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/exterior/public_html/temple-tax/resources/views/payment-report/list.blade.php ENDPATH**/ ?>